Search workflow executions
https://{kibana_url}
- GET /api/workflows/workflow/executions
- GET /s/{space_id}/api/workflows/workflow/executions
Refer to Spaces for more information.
Search across all workflow executions.
[Required authorization] Route required privileges: workflowsManagement:read AND workflowsManagement:readExecution. Extended privileges (optional, expand functionality when granted): workflowsManagement:managed:readExecution.
Query Parameters
-
kqlstring · max: 4096 KQL query string to filter executions.
-
statuses· max: 11 Filter by execution status.
-
Values:
pendingwaitingwaiting_for_inputwaiting_for_childrunningqueuedcompletedfailedcancelledtimed_outskipped -
executedBystring · max: 100 Filter by the user who triggered the execution.
-
concurrencyGroupKeystring Filter by evaluated concurrency group key.
-
startedAfterstring Datemath lower bound for filtering executions by startedAt.
-
startedBeforestring Datemath upper bound for filtering executions by startedAt.
-
finishedAfterstring Datemath lower bound for filtering executions by finishedAt.
-
finishedBeforestring Datemath upper bound for filtering executions by finishedAt.
-
collapse Field to collapse execution results by.
-
Values:
concurrencyGroupKeystatusexecutedBytriggeredBy -
sortField Field to sort by. One of: startedAt, duration, workflowId, triggeredBy.
-
Values:
startedAtdurationworkflowIdtriggeredBy -
pagenumber · min: 1 Page number.
-
sizenumber · min: 1 · max: 100 Number of results to return.
-
trackTotalHitsboolean Whether to track total hit count.
Responses
Indicates a successful response
Indicates a bad request, such as invalid KQL syntax